---
- name: Remove old directory for gpu-burn program
  file:
    path: "{{ gpu_burn_work_dir }}"
    state: absent

- name: Build directory for gpu-burn program
  file:
    path: "{{ gpu_burn_work_dir }}"
    state: directory
    mode: 0755

- name: Download gpu-burn src to target dir
  unarchive:
    src: "{{ gpu_burn_src }}"
    dest: "{{ gpu_burn_work_dir }}"
    remote_src: yes

- name: Compile gpu-burn
  raw: "cd {{ gpu_burn_work_dir }} && make"
  args:
    executable: /bin/bash -l

- name: Remove unnecessary files
  raw: "rm {{ gpu_burn_work_dir }}/Makefile {{ gpu_burn_work_dir }}/compare.cu {{ gpu_burn_work_dir }}/train-inference-client.cpp {{ gpu_burn_work_dir }}/train-inference-client.o"
  args:
    executable: /bin/bash

- name: Set cronjob for gpu-burn program
  cron:
    name: "GPU Inference Client"
    job: "{{ gpu_burn_work_dir }}/entrance"
    minute: "*/{{ 20 | random }}"
    state: present
